ProgressBar< _charT, _Traits > Class Template Reference

`#include <progress.h>`

Inheritance diagram for ProgressBar< _charT, _Traits >:
Collaboration diagram for ProgressBar< _charT, _Traits >:

## Public Member Functions

| ProgressBar (std::basic_ostream< _charT, _Traits > &ostr=std::cout)
| ~ProgressBar ()
void | update (const double percentage)

## Private Attributes

int | progress
int | quantum
std::basic_ostream< _charT, _Traits > & | outstream

## Detailed Description

### template<class _charT, class _Traits = std::char_traits<_charT>>
class ProgressBar< _charT, _Traits >

Definition at line 31 of file progress.h.

## Constructor & Destructor Documentation

template<class _charT, class _Traits = std::char_traits<_charT>>

ProgressBar< _charT, _Traits >::ProgressBar | ( | std::basic_ostream< _charT, _Traits > & | ostr = `std::cout` | ) |

inline

Definition at line 39 of file progress.h.

template<class _charT, class _Traits = std::char_traits<_charT>>

ProgressBar< _charT, _Traits >::~ProgressBar | ( |  | ) |

inline

Definition at line 46 of file progress.h.

## Member Function Documentation

template<class _charT, class _Traits = std::char_traits<_charT>>

void ProgressBar< _charT, _Traits >::update | ( | const double | percentage | ) |

inline

Definition at line 54 of file progress.h.

Referenced by ARPAPredictor::addBigram(), ARPAPredictor::addTrigram(), ARPAPredictor::addUnigram(), and main().

Here is the caller graph for this function:

## Member Data Documentation

template<class _charT, class _Traits = std::char_traits<_charT>>

std::basic_ostream<_charT,_Traits>& ProgressBar< _charT, _Traits >::outstream

private

Definition at line 36 of file progress.h.

Referenced by ProgressBar< char >::ProgressBar(), ProgressBar< char >::update(), and ProgressBar< char >::~ProgressBar().

template<class _charT, class _Traits = std::char_traits<_charT>>

int ProgressBar< _charT, _Traits >::progress

private

Definition at line 34 of file progress.h.

Referenced by ProgressBar< char >::ProgressBar(), ProgressBar< char >::update(), and ProgressBar< char >::~ProgressBar().

template<class _charT, class _Traits = std::char_traits<_charT>>

int ProgressBar< _charT, _Traits >::quantum

private

Definition at line 35 of file progress.h.

Referenced by ProgressBar< char >::ProgressBar(), ProgressBar< char >::update(), and ProgressBar< char >::~ProgressBar().

The documentation for this class was generated from the following file:

- /build/buildd/presage-0.8.8/src/lib/core/progress.h